//
//  CapCell.swift
//  CapFinder
//
//  Created by User on 22.04.18.
//  Copyright © 2018 User. All rights reserved.
//

import UIKit


class CapCell: UITableViewCell {
    
    @IBOutlet private weak var capImage: RoundedImageView!

    @IBOutlet private weak var matchLabel: UILabel!

    @IBOutlet private weak var nameLabel: UILabel!

    @IBOutlet weak var countLabel: UILabel!

    var id: Int = 0
    
    func set(image: UIImage?) {
        capImage.image = image ?? UIImage(named: "launch")
    }
    
    func set(cap: Cap, match: Float?) {
        id = cap.id
        if let image = cap.image {
            set(image: image)
            
        } else {
            capImage.image = UIImage(named: "launch")
            cap.downloadMainImage() { image in
                self.set(image: image)
            }
        }
        
        //capImage.borderColor = AppDelegate.tintColor

        matchLabel.text = cap.matchDescription(match: match)
        nameLabel.text = cap.name
        countLabel.text = cap.subtitle
    }

    
}
